import DS from 'ember-data'

export default DS.Model.extend
  type: DS.attr('string', defaultValue: 'warn')

  workflow_action_definition: DS.belongsTo('panda/workflow-action-definition', inverse: 'workflow_action_constraints')
  constraint_workflow_action_definition: DS.belongsTo('panda/workflow-action-definition')

  restrict: Ember.computed.equal 'type', 'restrict'
